.relatable-related-collections,
.relatable-list,
.relatable-body,
.relatable-content,
.relatable-list-item__content,
.relatable-list-item,
.relatable-list-item__link,
.relatable-list-item__media,
.relatable-list-item__image {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  line-height: 1.2;
}

.relatable-related-collections {
  display: block;
}

.relatable-list {
  list-style: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  padding: 0;
  margin: 0;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  position: relative;
}

.relatable-list a {
  color: inherit;
  text-decoration: none;
}

.relatable-wrapper {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}

.relatable-list-item {
  padding: 0;
  margin: 0;
  padding-left: var(--relatable-gap-item);
  padding-right: var(--relatable-gap-item);
  width: var(--relatable-column-mobile);
  -webkit-box-flex: 0;
      -ms-flex: none;
          flex: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: calc(var(--relatable-gap-item) * 2);
  height: auto;
  min-height: 100%;
}

@media screen and (min-width: 750px) {
  .relatable-list-item { 
    width: var(--relatable-column-desktop);
  }
}

.relatable-list-item:last-of-type {
  margin-right: 0;
}

.relatable-list-item__media {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  aspect-ratio: var(--relatable-aspect-ratio);
  background: rgba(var(--relatable-color-border));
  overflow: hidden;
}

.relatable-list-item__media,
.relatable-list-item__media img {
  border-radius: var(--relatable-border-radius);  
}

.relatable-list-item__image {
  -o-object-fit: cover;
     object-fit: cover;
  width: 100%;
  height: 100%;
  aspect-ratio: var(--relatable-aspect-ratio);
}

.relatable-list-item__text {
  color: rgba(var(--relatable-color-text));
  text-align: var(--relatable-text-align);
  font-weight: var(--relatable-font-weight);
}

.relatable-list-item__link {
  position: relative;
  height: 100%;
  text-align: var(--relatable-text-align);
  overflow: hidden;
}

.relatable-list-item__content {
  color: inherit;
  display: block;
}

.relatable-content {
  width: calc(100% + 1rem);
  overflow: hidden;
  margin-left: -0.5rem;
  margin-right: -0.5rem;
}

/* Horizontal and vertical */
.relatable-body[data-orientation="horizontal"] .relatable-list {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
}

.relatable-body[data-orientation="vertical"] .relatable-list {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
} 

.relatable-body[data-orientation="vertical"] .relatable-list-item {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  margin-bottom: calc(var(--relatable-padding-item) * 1.5);
}

/* Image text above and below */
[data-display-type="image-text-above"] .relatable-list-item__media, 
[data-display-type="image-text-below"] .relatable-list-item__media {
  width: 100%;
}

[data-display-type="image-text-above"] .relatable-list-item__link {
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
}

[data-display-type="image-text-above"] .relatable-list-item__link,
[data-display-type="image-text-below"] .relatable-list-item__link {
  width: 100%;
}

[data-display-type="image-text-above"] .relatable-list-item__link,
[data-display-type="image-text-below"] .relatable-list-item__link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

[data-display-type="image-text-above"] .relatable-list-item__content {
  -webkit-box-ordinal-group: 0;
      -ms-flex-order: -1;
          order: -1;
  padding: 0 0 var(--relatable-gap-item) 0;
}

[data-display-type="image-text-below"] .relatable-list-item__content {
  padding: var(--relatable-gap-item) 0 0 0;
}

/* Plain text */
[data-display-type="plain"] .relatable-list-item__link:hover {
  text-decoration: underline;
}

[data-display-type="plain"] .relatable-list-item {
  margin-right: var(--relatable-margin-item);
}

[data-display-type="plain"] .relatable-list-item__link {
  padding-right: calc(var(--relatable-padding-item) * 2);
  background: none;
}


/* Tile and Buttons */
[data-display-type="tile"] .relatable-list-item__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  height: 100%;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}

[data-display-type="tile"] .relatable-list-item__text {
  width: 100%;
}

[data-display-type="tile"] .relatable-list-item__link {
  width: 100%;
}

[data-display-type="button"] .relatable-list-item__link {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
}

[data-display-type="tile"] .relatable-list-item__link,
[data-display-type="tile-image"] .relatable-list-item__link,
[data-display-type="button"] .relatable-list-item__link,
[data-display-type="button-image"] .relatable-list-item__link {
  border: 1px solid rgba(var(--relatable-color-border));
  padding: var(--relatable-padding-item);
  background: rgba(var(--relatable-background-color));
}

[data-display-type="tile"] .relatable-list-item,
[data-display-type="tile-image"] .relatable-list-item,
[data-display-type="button"] .relatable-list-item,
[data-display-type="button-image"] .relatable-list-item {
  margin-bottom: calc(var(--relatable-gap-item) * 2);
}

[data-display-type="tile"] .relatable-list-item__link,
[data-display-type="button"] .relatable-list-item__link {
  border-radius: var(--relatable-border-radius);
}

[data-display-type="button-image"] .relatable-list-item__media,
[data-display-type="tile-image"] .relatable-list-item__media {
  height: auto;
  -webkit-box-flex: 0;
      -ms-flex: none;
          flex: none;
  width: var(--relatable-image-width);
}

[data-display-type="button-image"] .relatable-list-item__link,
[data-display-type="tile-image"] .relatable-list-item__link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: var(--relatable-gap-item);
  padding: var(--relatable-padding-item-image);
}

[data-display-type="tile-image"] .relatable-list-item__text,
[data-display-type="button-image"] .relatable-list-item__text {
  padding-right: var(--relatable-padding-item);
}

[data-display-type="button-image"] .relatable-list-item__link {
  border-radius: calc(var(--relatable-border-radius) + var(--relatable-padding-item));  
}

[data-display-type="button-image"] .relatable-list-item__link {
  -webkit-box-flex: 1;
      -ms-flex: 1 1 auto;
          flex: 1 1 auto;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

[data-display-type="tile-image"] .relatable-list-item__media {
  -webkit-box-flex: 0;
      -ms-flex: none;
          flex: none;
}

[data-display-type="tile-image"] .relatable-list-item__content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}

[data-display-type="tile-image"] .relatable-list-item__link {
  width: 100%;
}

/* Image with text overlay */
[data-display-type="image-text-overlay"] .relatable-list-item__media {
  width: 100%;
  z-index: 1;
}

[data-display-type="image-text-overlay"] .relatable-list-item__link {
  background: rgba(var(--relatable-color-border));
  width: 100%;
  position: relative;
}

[data-display-type="image-text-overlay"] .relatable-list-item__text {
  width: 100%;
}

[data-display-type="image-text-overlay"] .relatable-list-item__content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 0.5rem;
  z-index: 3;
}

[data-display-type="image-text-overlay"] .relatable-list-item__link::after {
  content: '';
  background: var(--relatable-color-overlay);
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  opacity: var(--relatable-opacity-overlay);
  border-radius: var(--relatable-border-radius);
}

[data-display-type="image-text-overlay"] .relatable-list-item__link {
  border-radius: var(--relatable-border-radius);
  overflow: hidden;
}

[data-display-type="image-text-overlay"] .relatable-list-item__link .relatable-list-item__media {
  -webkit-transition: -webkit-transform 0.5s ease;
  transition: -webkit-transform 0.5s ease;
  -o-transition: transform 0.5s ease;
  transition: transform 0.5s ease;
  transition: transform 0.5s ease, -webkit-transform 0.5s ease;
}

[data-display-type="image-text-overlay"] .relatable-list-item__link:hover .relatable-list-item__media {
  -webkit-transform: scale(1.03);
      -ms-transform: scale(1.03);
          transform: scale(1.03);
  -webkit-transition: -webkit-transform 0.5s ease;
  transition: -webkit-transform 0.5s ease;
  -o-transition: transform 0.5s ease;
  transition: transform 0.5s ease;
  transition: transform 0.5s ease, -webkit-transform 0.5s ease;
}

/* Swiper */
[data-relatable-slider="both"] .relatable-list-item {
  margin-bottom: 0;
}

@media screen and (min-width: 750px) {
  [data-relatable-slider="desktop"] .relatable-list-item {
    margin-bottom: 0;
  }
}

.relatable-content .swiper-button-disabled {
  opacity: 0.3;
}

.relatable-content .swiper-button-lock {
  visibility: hidden;
  opacity: 0;
}

.relatable-body .relatable-content:not(.swiper) .relatable-list,
[data-relatable-slider="none"] .relatable-list  {
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

[data-relatable-slider="mobile"] .relatable-list {
  -ms-flex-wrap: nowrap;
      flex-wrap: nowrap;
}

[data-relatable-slider="desktop"] .relatable-list {
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

@media screen and (min-width: 750px) {
  [data-relatable-slider="mobile"] .relatable-list {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
  [data-relatable-slider="desktop"] .relatable-list {
    -ms-flex-wrap: nowrap;
        flex-wrap: nowrap;
  }
}

.relatable-slider-actions {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 100%;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  padding: 0 0.5rem;
  gap: var(--relatable-gap-item);
}

.relatable-slider-button {
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  z-index: 2;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.relatable-slider-actions.relatable-slider-actions--none {
  display: none;
  pointer-events: none;
}

.relatable-slider-actions.relatable-slider-actions--above {
  -webkit-box-ordinal-group: 0;
      -ms-flex-order: -1;
          order: -1;
}

.relatable-slider-actions.relatable-slider-actions--overlay .relatable-slider-button--prev {
  position: absolute;
  top: 50%;
  -webkit-transform: translate(0,-50%);
      -ms-transform: translate(0,-50%);
          transform: translate(0,-50%);
  left: 0;
  z-index: 2;
  background: rgba(255,255,255,0.5);
}

.relatable-slider-actions.relatable-slider-actions--overlay .relatable-slider-button--next {
  position: absolute;
  top: 50%;
  -webkit-transform: translate(0,-50%);
      -ms-transform: translate(0,-50%);
          transform: translate(0,-50%);
  right: 0;
  z-index: 2;
  background: rgba(255,255,255,0.5);
}

[data-relatable-slider="mobile"] .relatable-slider-actions {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

[data-relatable-slider="desktop"] .relatable-slider-actions {
  display: none;
}

@media screen and (min-width: 750px) {
  [data-relatable-slider="mobile"] .relatable-slider-actions {
    display: none;
  }
  [data-relatable-slider="desktop"] .relatable-slider-actions {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
}